package com.sagacloud.util.compute_engine.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.zillion.util.json.FastJsonUtil;

import javax.xml.bind.annotation.XmlRootElement;
@Slf4j
@XmlRootElement(name = "Entity_ci_instanceinput")
public class Entity_ci_instanceinput {
    String object_sign;
    String instance_name;
    String input_sign;
    String time_period;
    String data_class;
    String dao_type;
    String dao_key;
    String source_object_sign;
    String source_instance_name;
    String source_output_sign;

    public Entity_ci_instanceinput() {

    }

    public Entity_ci_instanceinput(String str) {
        try {
            JSONObject json = (JSONObject) JSON.parse(str);
            FastJsonUtil.Set_JavaObject(json, this);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }

    public String getObject_sign() {
        return object_sign;
    }

    public void setObject_sign(String object_sign) {
        this.object_sign = object_sign;
    }

    public String getInstance_name() {
        return instance_name;
    }

    public void setInstance_name(String instance_name) {
        this.instance_name = instance_name;
    }

    public String getInput_sign() {
        return input_sign;
    }

    public void setInput_sign(String input_sign) {
        this.input_sign = input_sign;
    }

    public String getTime_period() {
        return time_period;
    }

    public void setTime_period(String time_period) {
        this.time_period = time_period;
    }

    public String getData_class() {
        return data_class;
    }

    public void setData_class(String data_class) {
        this.data_class = data_class;
    }

    public String getDao_type() {
        return dao_type;
    }

    public void setDao_type(String dao_type) {
        this.dao_type = dao_type;
    }

    public String getDao_key() {
        return dao_key;
    }

    public void setDao_key(String dao_key) {
        this.dao_key = dao_key;
    }

    public String getSource_object_sign() {
        return source_object_sign;
    }

    public void setSource_object_sign(String source_object_sign) {
        this.source_object_sign = source_object_sign;
    }

    public String getSource_instance_name() {
        return source_instance_name;
    }

    public void setSource_instance_name(String source_instance_name) {
        this.source_instance_name = source_instance_name;
    }

    public String getSource_output_sign() {
        return source_output_sign;
    }

    public void setSource_output_sign(String source_output_sign) {
        this.source_output_sign = source_output_sign;
    }
}
