package com.sagacloud.util.compute_engine.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.zillion.util.json.FastJsonUtil;

import javax.xml.bind.annotation.XmlRootElement;
@Slf4j
@XmlRootElement(name = "Entity_ci_instance")
public class Entity_ci_instances {
    Entity_ci_instance[] instances;

    public Entity_ci_instances() {

    }

    public Entity_ci_instances(String str) {
        try {
            JSONObject json = (JSONObject) JSON.parse(str);
            FastJsonUtil.Set_JavaObject(json, this);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }

    public Entity_ci_instance[] getInstances() {
        return instances;
    }

    public void setInstances(Entity_ci_instance[] instances) {
        this.instances = instances;
    }
}
