// $ANTLR 3.1 ComputeEngineWalker.g 2020-05-14 10:30:08

package com.sagacloud.parser.simulator;

import com.sagacloud.util.math.MathUtil;
import org.antlr.runtime.*;
import org.antlr.runtime.tree.CommonTree;
import org.antlr.runtime.tree.TreeNodeStream;
import org.antlr.runtime.tree.TreeParser;

import java.util.HashMap;
import java.util.Map;

public class ComputeEngineWalker extends TreeParser {
    public static final String[] tokenNames = new String[]{
            "<invalid>", "<EOR>", "<DOWN>", "<UP>", "IFWRAPPER", "NEWLINE", "NUMBER", "ID", "F0", "F1", "F2", "WS", "'+'", "'-'", "'*'", "'/'", "'('", "')'", "'if'", "'{'", "'}'", "'elseif'", "'else'", "'||'", "'&&'", "'!'", "'['", "'<'", "'<='", "'>'", "'>='", "'=='", "'!='", "']'", "','"
    };
    public static final int T__29 = 29;
    public static final int T__28 = 28;
    public static final int T__27 = 27;
    public static final int T__26 = 26;
    public static final int T__25 = 25;
    public static final int T__24 = 24;
    public static final int T__23 = 23;
    public static final int T__22 = 22;
    public static final int T__21 = 21;
    public static final int T__20 = 20;
    public static final int NUMBER = 6;
    public static final int ID = 7;
    public static final int EOF = -1;
    public static final int T__30 = 30;
    public static final int T__19 = 19;
    public static final int T__31 = 31;
    public static final int T__32 = 32;
    public static final int T__16 = 16;
    public static final int T__33 = 33;
    public static final int WS = 11;
    public static final int T__15 = 15;
    public static final int T__34 = 34;
    public static final int T__18 = 18;
    public static final int NEWLINE = 5;
    public static final int T__17 = 17;
    public static final int T__12 = 12;
    public static final int T__14 = 14;
    public static final int T__13 = 13;
    public static final int F1 = 9;
    public static final int F0 = 8;
    public static final int F2 = 10;
    public static final int IFWRAPPER = 4;

    // delegates
    // delegators
    public static final BitSet FOLLOW_expr_in_prog64 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_fourexpr_in_expr86 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ifcondition_in_expr97 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_12_in_fourexpr116 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr120 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr124 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_13_in_fourexpr133 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr137 = new BitSet(new long[]{0x000000000000F7D0L});
    // $ANTLR end "prog"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr141 = new BitSet(new long[]{0x0000000000000008L});
    // $ANTLR end "expr"
    public static final BitSet FOLLOW_14_in_fourexpr150 = new BitSet(new long[]{0x0000000000000004L});
    // $ANTLR end "fourexpr"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr154 = new BitSet(new long[]{0x000000000000F7D0L});
    // $ANTLR end "ifcondition"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr158 = new BitSet(new long[]{0x0000000000000008L});
    // $ANTLR end "elseifcondition"
    public static final BitSet FOLLOW_15_in_fourexpr167 = new BitSet(new long[]{0x0000000000000004L});
    // $ANTLR end "condition"
    public static final BitSet FOLLOW_fourexpr_in_fourexpr171 = new BitSet(new long[]{0x000000000000F7D0L});
    // $ANTLR end "comparecondition"

    // Delegated rules
    public static final BitSet FOLLOW_fourexpr_in_fourexpr175 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_ID_in_fourexpr183 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_F0_in_fourexpr190 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_F1_in_fourexpr198 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr202 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_F2_in_fourexpr211 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr215 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_fourexpr219 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_NUMBER_in_fourexpr227 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IFWRAPPER_in_fourexpr236 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_ifcondition_in_fourexpr240 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_18_in_ifcondition260 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_ifcondition264 = new BitSet(new long[]{0x000000000004F7D0L});
    public static final BitSet FOLLOW_expr_in_ifcondition268 = new BitSet(new long[]{0x0000000000600000L});
    public static final BitSet FOLLOW_elseifcondition_in_ifcondition272 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_21_in_elseifcondition291 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_elseifcondition295 = new BitSet(new long[]{0x000000000004F7D0L});
    public static final BitSet FOLLOW_expr_in_elseifcondition299 = new BitSet(new long[]{0x0000000000600000L});
    public static final BitSet FOLLOW_elseifcondition_in_elseifcondition303 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_22_in_elseifcondition312 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_expr_in_elseifcondition316 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_24_in_condition335 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_condition339 = new BitSet(new long[]{0x00000001FB800000L});
    public static final BitSet FOLLOW_condition_in_condition343 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_23_in_condition352 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_condition356 = new BitSet(new long[]{0x00000001FB800000L});
    public static final BitSet FOLLOW_condition_in_condition360 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_25_in_condition369 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_condition_in_condition373 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_comparecondition_in_condition385 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_27_in_comparecondition404 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition408 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition412 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_28_in_comparecondition421 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition425 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition429 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_29_in_comparecondition438 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition442 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition446 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_30_in_comparecondition455 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition459 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition463 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_31_in_comparecondition472 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition476 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition480 = new BitSet(new long[]{0x0000000000000008L});
    public static final BitSet FOLLOW_32_in_comparecondition489 = new BitSet(new long[]{0x0000000000000004L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition493 = new BitSet(new long[]{0x000000000000F7D0L});
    public static final BitSet FOLLOW_fourexpr_in_comparecondition497 = new BitSet(new long[]{0x0000000000000008L});
    private final Map<String, Double> varValueMap = new HashMap<String, Double>();

    public ComputeEngineWalker(TreeNodeStream input) {
        this(input, new RecognizerSharedState());
    }

    public ComputeEngineWalker(TreeNodeStream input, RecognizerSharedState state) {
        super(input, state);

    }

    @Override
    public String[] getTokenNames() {
        return ComputeEngineWalker.tokenNames;
    }

    @Override
    public String getGrammarFileName() {
        return "ComputeEngineWalker.g";
    }

    public void clear() {
        this.varValueMap.clear();
    }

    public void put(String var, double value) {
        this.varValueMap.put(var, value);
    }

    // $ANTLR start "prog"
    // ComputeEngineWalker.g:30:1: prog returns [double value] : (a= expr ) ;
    public final double prog() throws RecognitionException {
        double value = 0.0;

        double a = 0.0;


        try {
            // ComputeEngineWalker.g:31:2: ( (a= expr ) )
            // ComputeEngineWalker.g:31:4: (a= expr )
            {
                // ComputeEngineWalker.g:31:4: (a= expr )
                // ComputeEngineWalker.g:31:5: a= expr
                {
                    pushFollow(FOLLOW_expr_in_prog64);
                    a = expr();

                    state._fsp--;


                }

                value = a;

            }

        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return value;
    }

    // $ANTLR start "expr"
    // ComputeEngineWalker.g:34:1: expr returns [double value] : ( (a= fourexpr ) | (a= ifcondition ) );
    public final double expr() throws RecognitionException {
        double value = 0.0;

        double a = 0.0;


        try {
            // ComputeEngineWalker.g:35:2: ( (a= fourexpr ) | (a= ifcondition ) )
            int alt1 = 2;
            int LA1_0 = input.LA(1);

            if ((LA1_0 == IFWRAPPER || (LA1_0 >= NUMBER && LA1_0 <= F2) || (LA1_0 >= 12 && LA1_0 <= 15))) {
                alt1 = 1;
            } else if ((LA1_0 == 18)) {
                alt1 = 2;
            } else {
                NoViableAltException nvae =
                        new NoViableAltException("", 1, 0, input);

                throw nvae;
            }
            switch (alt1) {
                case 1:
                    // ComputeEngineWalker.g:35:4: (a= fourexpr )
                {
                    // ComputeEngineWalker.g:35:4: (a= fourexpr )
                    // ComputeEngineWalker.g:35:5: a= fourexpr
                    {
                        pushFollow(FOLLOW_fourexpr_in_expr86);
                        a = fourexpr();

                        state._fsp--;


                    }

                    value = a;

                }
                break;
                case 2:
                    // ComputeEngineWalker.g:36:4: (a= ifcondition )
                {
                    // ComputeEngineWalker.g:36:4: (a= ifcondition )
                    // ComputeEngineWalker.g:36:5: a= ifcondition
                    {
                        pushFollow(FOLLOW_ifcondition_in_expr97);
                        a = ifcondition();

                        state._fsp--;


                    }

                    value = a;

                }
                break;
                default:
            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return value;
    }

    // $ANTLR start "fourexpr"
    // ComputeEngineWalker.g:39:1: fourexpr returns [double value] : ( ^( '+' a= fourexpr b= fourexpr ) | ^( '-' a= fourexpr b= fourexpr ) | ^( '*' a= fourexpr b= fourexpr ) | ^( '/' a= fourexpr b= fourexpr ) | ID | F0 | ^( F1 a= fourexpr ) | ^( F2 a= fourexpr b= fourexpr ) | NUMBER | ^( IFWRAPPER a= ifcondition ) );
    public final double fourexpr() throws RecognitionException {
        double value = 0.0;

        CommonTree ID1 = null;
        CommonTree F02 = null;
        CommonTree F13 = null;
        CommonTree F24 = null;
        CommonTree NUMBER5 = null;
        double a = 0.0;

        double b = 0.0;


        try {
            // ComputeEngineWalker.g:40:2: ( ^( '+' a= fourexpr b= fourexpr ) | ^( '-' a= fourexpr b= fourexpr ) | ^( '*' a= fourexpr b= fourexpr ) | ^( '/' a= fourexpr b= fourexpr ) | ID | F0 | ^( F1 a= fourexpr ) | ^( F2 a= fourexpr b= fourexpr ) | NUMBER | ^( IFWRAPPER a= ifcondition ) )
            int alt2 = 10;
            switch (input.LA(1)) {
                case 12: {
                    alt2 = 1;
                }
                break;
                case 13: {
                    alt2 = 2;
                }
                break;
                case 14: {
                    alt2 = 3;
                }
                break;
                case 15: {
                    alt2 = 4;
                }
                break;
                case ID: {
                    alt2 = 5;
                }
                break;
                case F0: {
                    alt2 = 6;
                }
                break;
                case F1: {
                    alt2 = 7;
                }
                break;
                case F2: {
                    alt2 = 8;
                }
                break;
                case NUMBER: {
                    alt2 = 9;
                }
                break;
                case IFWRAPPER: {
                    alt2 = 10;
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 2, 0, input);

                    throw nvae;
            }

            switch (alt2) {
                case 1:
                    // ComputeEngineWalker.g:40:4: ^( '+' a= fourexpr b= fourexpr )
                {
                    match(input, 12, FOLLOW_12_in_fourexpr116);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr120);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr124);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a + b;

                }
                break;
                case 2:
                    // ComputeEngineWalker.g:41:4: ^( '-' a= fourexpr b= fourexpr )
                {
                    match(input, 13, FOLLOW_13_in_fourexpr133);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr137);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr141);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a - b;

                }
                break;
                case 3:
                    // ComputeEngineWalker.g:42:4: ^( '*' a= fourexpr b= fourexpr )
                {
                    match(input, 14, FOLLOW_14_in_fourexpr150);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr154);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr158);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a * b;

                }
                break;
                case 4:
                    // ComputeEngineWalker.g:43:4: ^( '/' a= fourexpr b= fourexpr )
                {
                    match(input, 15, FOLLOW_15_in_fourexpr167);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr171);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr175);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a / b;

                }
                break;
                case 5:
                    // ComputeEngineWalker.g:44:4: ID
                {
                    ID1 = (CommonTree) match(input, ID, FOLLOW_ID_in_fourexpr183);
                    value = this.varValueMap.get((ID1 != null ? ID1.getText() : null));

                }
                break;
                case 6:
                    // ComputeEngineWalker.g:45:4: F0
                {
                    F02 = (CommonTree) match(input, F0, FOLLOW_F0_in_fourexpr190);
                    value = MathUtil.Instance().fun0p_value((F02 != null ? F02.getText() : null));

                }
                break;
                case 7:
                    // ComputeEngineWalker.g:46:4: ^( F1 a= fourexpr )
                {
                    F13 = (CommonTree) match(input, F1, FOLLOW_F1_in_fourexpr198);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr202);
                    a = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().fun1p_value((F13 != null ? F13.getText() : null), a);

                }
                break;
                case 8:
                    // ComputeEngineWalker.g:47:4: ^( F2 a= fourexpr b= fourexpr )
                {
                    F24 = (CommonTree) match(input, F2, FOLLOW_F2_in_fourexpr211);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_fourexpr215);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_fourexpr219);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().fun2p_value((F24 != null ? F24.getText() : null), a, b);

                }
                break;
                case 9:
                    // ComputeEngineWalker.g:48:4: NUMBER
                {
                    NUMBER5 = (CommonTree) match(input, NUMBER, FOLLOW_NUMBER_in_fourexpr227);
                    value = Double.parseDouble((NUMBER5 != null ? NUMBER5.getText() : null));

                }
                break;
                case 10:
                    // ComputeEngineWalker.g:49:4: ^( IFWRAPPER a= ifcondition )
                {
                    match(input, IFWRAPPER, FOLLOW_IFWRAPPER_in_fourexpr236);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_ifcondition_in_fourexpr240);
                    a = ifcondition();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a;

                }
                break;
                default:
            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return value;
    }

    // $ANTLR start "ifcondition"
    // ComputeEngineWalker.g:52:1: ifcondition returns [double value] : ^( 'if' con= condition a= expr b= elseifcondition ) ;
    public final double ifcondition() throws RecognitionException {
        double value = 0.0;

        boolean con = false;

        double a = 0.0;

        double b = 0.0;


        try {
            // ComputeEngineWalker.g:53:2: ( ^( 'if' con= condition a= expr b= elseifcondition ) )
            // ComputeEngineWalker.g:53:4: ^( 'if' con= condition a= expr b= elseifcondition )
            {
                match(input, 18, FOLLOW_18_in_ifcondition260);

                match(input, Token.DOWN, null);
                pushFollow(FOLLOW_condition_in_ifcondition264);
                con = condition();

                state._fsp--;

                pushFollow(FOLLOW_expr_in_ifcondition268);
                a = expr();

                state._fsp--;

                pushFollow(FOLLOW_elseifcondition_in_ifcondition272);
                b = elseifcondition();

                state._fsp--;


                match(input, Token.UP, null);
                if (con) {
                    value = a;
                } else {
                    value = b;
                }

            }

        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return value;
    }

    // $ANTLR start "elseifcondition"
    // ComputeEngineWalker.g:56:1: elseifcondition returns [double value] : ( ^( 'elseif' con= condition a= expr b= elseifcondition ) | ^( 'else' a= expr ) );
    public final double elseifcondition() throws RecognitionException {
        double value = 0.0;

        boolean con = false;

        double a = 0.0;

        double b = 0.0;


        try {
            // ComputeEngineWalker.g:57:2: ( ^( 'elseif' con= condition a= expr b= elseifcondition ) | ^( 'else' a= expr ) )
            int alt3 = 2;
            int LA3_0 = input.LA(1);

            if ((LA3_0 == 21)) {
                alt3 = 1;
            } else if ((LA3_0 == 22)) {
                alt3 = 2;
            } else {
                NoViableAltException nvae =
                        new NoViableAltException("", 3, 0, input);

                throw nvae;
            }
            switch (alt3) {
                case 1:
                    // ComputeEngineWalker.g:57:4: ^( 'elseif' con= condition a= expr b= elseifcondition )
                {
                    match(input, 21, FOLLOW_21_in_elseifcondition291);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_elseifcondition295);
                    con = condition();

                    state._fsp--;

                    pushFollow(FOLLOW_expr_in_elseifcondition299);
                    a = expr();

                    state._fsp--;

                    pushFollow(FOLLOW_elseifcondition_in_elseifcondition303);
                    b = elseifcondition();

                    state._fsp--;


                    match(input, Token.UP, null);
                    if (con) {
                        value = a;
                    } else {
                        value = b;
                    }

                }
                break;
                case 2:
                    // ComputeEngineWalker.g:58:4: ^( 'else' a= expr )
                {
                    match(input, 22, FOLLOW_22_in_elseifcondition312);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_expr_in_elseifcondition316);
                    a = expr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a;

                }
                break;
                default:
            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return value;
    }

    // $ANTLR start "condition"
    // ComputeEngineWalker.g:61:1: condition returns [boolean value] : ( ^( '&&' a= condition b= condition ) | ^( '||' a= condition b= condition ) | ^( '!' a= condition ) | (a= comparecondition ) );
    public final boolean condition() throws RecognitionException {
        boolean value = false;

        boolean a = false;

        boolean b = false;


        try {
            // ComputeEngineWalker.g:62:2: ( ^( '&&' a= condition b= condition ) | ^( '||' a= condition b= condition ) | ^( '!' a= condition ) | (a= comparecondition ) )
            int alt4 = 4;
            switch (input.LA(1)) {
                case 24: {
                    alt4 = 1;
                }
                break;
                case 23: {
                    alt4 = 2;
                }
                break;
                case 25: {
                    alt4 = 3;
                }
                break;
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32: {
                    alt4 = 4;
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 4, 0, input);

                    throw nvae;
            }

            switch (alt4) {
                case 1:
                    // ComputeEngineWalker.g:62:4: ^( '&&' a= condition b= condition )
                {
                    match(input, 24, FOLLOW_24_in_condition335);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_condition339);
                    a = condition();

                    state._fsp--;

                    pushFollow(FOLLOW_condition_in_condition343);
                    b = condition();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a && b;

                }
                break;
                case 2:
                    // ComputeEngineWalker.g:63:4: ^( '||' a= condition b= condition )
                {
                    match(input, 23, FOLLOW_23_in_condition352);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_condition356);
                    a = condition();

                    state._fsp--;

                    pushFollow(FOLLOW_condition_in_condition360);
                    b = condition();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = a || b;

                }
                break;
                case 3:
                    // ComputeEngineWalker.g:64:4: ^( '!' a= condition )
                {
                    match(input, 25, FOLLOW_25_in_condition369);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_condition_in_condition373);
                    a = condition();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = !a;

                }
                break;
                case 4:
                    // ComputeEngineWalker.g:65:4: (a= comparecondition )
                {
                    // ComputeEngineWalker.g:65:4: (a= comparecondition )
                    // ComputeEngineWalker.g:65:5: a= comparecondition
                    {
                        pushFollow(FOLLOW_comparecondition_in_condition385);
                        a = comparecondition();

                        state._fsp--;


                    }

                    value = a;

                }
                break;

            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return value;
    }

    // $ANTLR start "comparecondition"
    // ComputeEngineWalker.g:68:1: comparecondition returns [boolean value] : ( ^( '<' a= fourexpr b= fourexpr ) | ^( '<=' a= fourexpr b= fourexpr ) | ^( '>' a= fourexpr b= fourexpr ) | ^( '>=' a= fourexpr b= fourexpr ) | ^( '==' a= fourexpr b= fourexpr ) | ^( '!=' a= fourexpr b= fourexpr ) );
    public final boolean comparecondition() throws RecognitionException {
        boolean value = false;

        double a = 0.0;

        double b = 0.0;


        try {
            // ComputeEngineWalker.g:69:2: ( ^( '<' a= fourexpr b= fourexpr ) | ^( '<=' a= fourexpr b= fourexpr ) | ^( '>' a= fourexpr b= fourexpr ) | ^( '>=' a= fourexpr b= fourexpr ) | ^( '==' a= fourexpr b= fourexpr ) | ^( '!=' a= fourexpr b= fourexpr ) )
            int alt5 = 6;
            switch (input.LA(1)) {
                case 27: {
                    alt5 = 1;
                }
                break;
                case 28: {
                    alt5 = 2;
                }
                break;
                case 29: {
                    alt5 = 3;
                }
                break;
                case 30: {
                    alt5 = 4;
                }
                break;
                case 31: {
                    alt5 = 5;
                }
                break;
                case 32: {
                    alt5 = 6;
                }
                break;
                default:
                    NoViableAltException nvae =
                            new NoViableAltException("", 5, 0, input);

                    throw nvae;
            }

            switch (alt5) {
                case 1:
                    // ComputeEngineWalker.g:69:4: ^( '<' a= fourexpr b= fourexpr )
                {
                    match(input, 27, FOLLOW_27_in_comparecondition404);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition408);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition412);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().cmp_value("<", a, b);

                }
                break;
                case 2:
                    // ComputeEngineWalker.g:70:4: ^( '<=' a= fourexpr b= fourexpr )
                {
                    match(input, 28, FOLLOW_28_in_comparecondition421);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition425);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition429);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().cmp_value("<=", a, b);

                }
                break;
                case 3:
                    // ComputeEngineWalker.g:71:4: ^( '>' a= fourexpr b= fourexpr )
                {
                    match(input, 29, FOLLOW_29_in_comparecondition438);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition442);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition446);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().cmp_value(">", a, b);

                }
                break;
                case 4:
                    // ComputeEngineWalker.g:72:4: ^( '>=' a= fourexpr b= fourexpr )
                {
                    match(input, 30, FOLLOW_30_in_comparecondition455);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition459);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition463);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().cmp_value(">=", a, b);

                }
                break;
                case 5:
                    // ComputeEngineWalker.g:73:4: ^( '==' a= fourexpr b= fourexpr )
                {
                    match(input, 31, FOLLOW_31_in_comparecondition472);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition476);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition480);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().cmp_value("==", a, b);

                }
                break;
                case 6:
                    // ComputeEngineWalker.g:74:4: ^( '!=' a= fourexpr b= fourexpr )
                {
                    match(input, 32, FOLLOW_32_in_comparecondition489);

                    match(input, Token.DOWN, null);
                    pushFollow(FOLLOW_fourexpr_in_comparecondition493);
                    a = fourexpr();

                    state._fsp--;

                    pushFollow(FOLLOW_fourexpr_in_comparecondition497);
                    b = fourexpr();

                    state._fsp--;


                    match(input, Token.UP, null);
                    value = MathUtil.Instance().cmp_value("!=", a, b);

                }
                break;

            }
        } catch (RecognitionException re) {
            reportError(re);
            recover(input, re);
        } finally {
        }
        return value;
    }

}