package com.sagacloud.util.compute_engine.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.zillion.util.json.FastJsonUtil;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.Map;
@Slf4j
@XmlRootElement(name = "Entity_ci_instanceoutput")
public class Entity_ci_instanceoutput {
    String object_sign;
    String instance_name;
    String output_sign;
    String time_begin;
    String time_end;
    String data_class;
    String dao_type;
    String dao_key;
    Boolean need_all_var_data;
    Boolean time_period_intialized;
    String time_period;
    String mode;
    String expression;
    String custom_function_name;
    String custom_paramsMap;
    Map<String, Object> otherMap;

    public Entity_ci_instanceoutput() {

    }

    public Entity_ci_instanceoutput(String str) {
        try {
            JSONObject json = (JSONObject) JSON.parse(str);
            FastJsonUtil.Set_JavaObject(json, this);
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }

    public String getObject_sign() {
        return object_sign;
    }

    public void setObject_sign(String object_sign) {
        this.object_sign = object_sign;
    }

    public String getInstance_name() {
        return instance_name;
    }

    public void setInstance_name(String instance_name) {
        this.instance_name = instance_name;
    }

    public String getOutput_sign() {
        return output_sign;
    }

    public void setOutput_sign(String output_sign) {
        this.output_sign = output_sign;
    }

    public String getTime_begin() {
        return time_begin;
    }

    public void setTime_begin(String time_begin) {
        this.time_begin = time_begin;
    }

    public String getTime_end() {
        return time_end;
    }

    public void setTime_end(String time_end) {
        this.time_end = time_end;
    }

    public String getData_class() {
        return data_class;
    }

    public void setData_class(String data_class) {
        this.data_class = data_class;
    }

    public String getDao_type() {
        return dao_type;
    }

    public void setDao_type(String dao_type) {
        this.dao_type = dao_type;
    }

    public String getDao_key() {
        return dao_key;
    }

    public void setDao_key(String dao_key) {
        this.dao_key = dao_key;
    }

    public Boolean getNeed_all_var_data() {
        return need_all_var_data;
    }

    public void setNeed_all_var_data(Boolean need_all_var_data) {
        this.need_all_var_data = need_all_var_data;
    }

    public Boolean getTime_period_intialized() {
        return time_period_intialized;
    }

    public void setTime_period_intialized(Boolean time_period_intialized) {
        this.time_period_intialized = time_period_intialized;
    }

    public String getTime_period() {
        return time_period;
    }

    public void setTime_period(String time_period) {
        this.time_period = time_period;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getExpression() {
        return expression;
    }

    public void setExpression(String expression) {
        this.expression = expression;
    }

    public String getCustom_function_name() {
        return custom_function_name;
    }

    public void setCustom_function_name(String custom_function_name) {
        this.custom_function_name = custom_function_name;
    }

    public String getCustom_paramsMap() {
        return custom_paramsMap;
    }

    public void setCustom_paramsMap(String custom_paramsMap) {
        this.custom_paramsMap = custom_paramsMap;
    }

    public Map<String, Object> getOtherMap() {
        return otherMap;
    }

    public void setOtherMap(Map<String, Object> otherMap) {
        this.otherMap = otherMap;
    }
}
