package test;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sagacloud.util.compute_engine.util.QueryUtil;
import com.zillion.database.agent.ZillionAgent;
import lombok.extern.slf4j.Slf4j;

import java.text.SimpleDateFormat;
@Slf4j
public class modify_building_Thread extends Thread {
    SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");

    ZillionAgent agent;
    String database_name;

    public modify_building_Thread(String database_name) {

        this.database_name = database_name;
    }

    @Override
    public void run() {
        while (true) {
            JSONObject item = modify_building.Pop();
            if (item == null) {
                break;
            }

            String month = (String) item.get("month");
            String building_old = (String) item.get("building_old");
            String building_new = (String) item.get("building_new");
            String meter = (String) item.get("meter");
            Long funcid = (Long) item.get("funcid");
            try {
                JSONObject CriteriaInner = new JSONObject();
                CriteriaInner.put("building", building_old);
                CriteriaInner.put("meter", meter);
                CriteriaInner.put("funcid", funcid);
                JSONArray resultContentInner = QueryUtil.select(database_name, "original_month_" + month, CriteriaInner);
                JSONArray InsertObjects = new JSONArray();
                for (int ii = 0; ii < resultContentInner.size(); ii++) {
                    JSONObject itemInner = (JSONObject) resultContentInner.get(ii);
                    JSONObject InsertObject = new JSONObject();
                    InsertObject.put("building", building_new);
                    InsertObject.put("meter", meter);
                    InsertObject.put("funcid", funcid);
                    InsertObject.put("receivetime", itemInner.get("receivetime"));
                    InsertObject.put("data", itemInner.get("data"));
                    InsertObjects.add(InsertObject);
                }
                QueryUtil.batch_insert(database_name, "original_month", InsertObjects);
            } catch (Exception e) {
                log.error(e.getMessage(),e);
            }
        }
    }
}
